<?php

namespace common\extensions\CustomersRank;

use yii\base\BootstrapInterface;

class Bootstrap implements BootstrapInterface {

    public function bootstrap($app) {
        if (!CustomersRank::enabled()) {
            return;
        }
        if ($app instanceof \yii\web\Application) {
            if ($app->id == 'app-backend') {
                $app->controllerMap = array_merge($app->controllerMap, [
                    'manage-rank' => ['class' => __NAMESPACE__ . '\backend\controllers\ManageRankController'],
                ]);
            }
        }
    }

}
