{use class="common\helpers\Html"}
<div class="page-header">
    <div class="page-title">
        <h3>{$app->controller->view->headingTitle}</h3>
    </div>
</div>
<div class="rank-wrap">
    <table class="table table-bordered table-hover table-responsive table-checkable datatable" checkable_list="0, 1" data_ajax="manage-rank/list">
        <thead>
            <tr>
                {foreach $table as $tableItem}
                    <th{if isset($tableItem['not_important']) && $tableItem['not_important'] == 1} class="hidden-xs"{/if}>{$tableItem['title']}</th>
                {/foreach}
            </tr>
        </thead>
    </table> 
</div>
<script type="text/javascript">
function newCustomerRank(id) {
    bootbox.dialog({
        message: '<div class="new-rank">Rank: {Html::input('text', 'rank', '', ['class' => 'form-control'])|escape:javascript}</div>',
        title: "New rank",
        buttons: {
            done:{
                label: "{$smarty.const.TEXT_BTN_OK}",
                className: "btn-cancel",
                callback: function() {
                    var rank = $('input[name="rank"]').val();
                    $.get("manage-rank/change", { 
                        'id': id,
                        'rank': rank
                    }, function () {
                        var table = $('.table').DataTable();
                        table.draw(false);
                    }, "html");
                }
            }
        }
    });
    
    
    return false;
}
</script>